@echo off

echo Make sure you have recompiled the release
echo version of TortoiseCVS and updated 
echo the version number in Help.html and 
echo in ChangeLog.txt
echo.
echo You need a patched NSIS installed to run
echo this script.  Apply patch_*.txt in this
echo directory to NSIS 1.43, and install it
echo in c:\Program Files\NSIS.
echo.
pause

del /S /Q /F TortoiseCVS
rmdir TortoiseCVS
md TortoiseCVS

copy InstallThing\Release\InstallThing.exe TortoiseCVS\Setup.exe
copy ..\src\TortoiseShell\Release\TortoiseShell.dll TortoiseCVS
copy ..\src\TortoiseAct\Release\TortoiseAct.exe TortoiseCVS
copy *.dll TortoiseCVS
copy *.exe TortoiseCVS
copy *.txt TortoiseCVS
copy ..\src\Icons\*.ico TortoiseCVS
copy ..\web\help.html TortoiseCVS\Help.html
copy ..\web\GPL.html TortoiseCVS
copy ..\web\faq.html TortoiseCVS
copy ..\web\legal.html TortoiseCVS
copy ..\web\guide.html TortoiseCVS
copy ..\web\style.css TortoiseCVS
copy ..\web\Charlie.jpeg TortoiseCVS
copy ..\web\ChangeLog.txt TortoiseCVS
copy ..\web\philosophical-gnu-sm.jpg TortoiseCVS
copy TortoiseMenus.config TortoiseCVS
copy TortoiseCVS.nsi TortoiseCVS

cd TortoiseCVS
"c:\program files\nsis\makensis.exe" TortoiseCVS.nsi
cd ..
copy TortoiseCVS\TortoiseCVS.exe TortoiseCVS.exe
del /S /F /Q TortoiseCVS
rmdir TortoiseCVS

echo.
echo Build complete.
echo Find TortoiseCVS.exe in this directory
echo.

pause
