// TortoiseCVS - a Windows shell extension for easy version control

// Copyright (C) 2000 - Francis Irving
// <francis@flourish.org> - October 2000

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#if defined(__BORLANDC__)
#include <condefs.h>
USEUNIT("..\DialogsWxw\BranchTagDlg.cpp");
USEUNIT("..\DialogsWxw\ModuleBasicsPage.cpp");
USEUNIT("..\DialogsWxw\CheckoutDialog.cpp");
USEUNIT("..\DialogsWxw\ChooseFile.cpp");
USEUNIT("..\DialogsWxw\LogConfigDialog.cpp");
USEUNIT("..\DialogsWxw\LoginDialog.cpp");
USEUNIT("..\DialogsWxw\MessageDialog.cpp");
USEUNIT("..\DialogsWxw\PreferencesDialog.cpp");
USEUNIT("..\DialogsWxw\ProgressDialog.cpp");
USEUNIT("..\DialogsWxw\RevOptions.cpp");
USEUNIT("..\DialogsWxw\TextBinaryDialog.cpp");
USERC("..\DialogsWxw\TortoiseWxw.rc");
USELIB("..\Release\TortoiseActLib.lib");
//---------------------------------------------------------------------------
#endif // defined(__BORLANDC__)

#ifdef _MSC_VER
#pragma warning(disable:4786 4503)
#endif

// The TortoiseAct program takes as parameters a command name (verb)
// and a list of files.  It then performs that TortoiseCVS action,
// including any user interface necessary.

// The parameters are passed by file rather than in command line
// arguments, and the command line points to the file.

// TortoiseShell dll calls TortoiseAct everytime a context menu
// is selected.

#include <windows.h>

// For Visual C++ make sure you set these values when you compile wxWindows:
// wxUSE_DEBUG_NEW_ALWAYS to 0
// wxUSE_IOSTREAMH to 0
// wxUSE_MEMORY_TRACING to 0
// wxUSE_GLOBAL_MEMORY_OPERATORS to 0
// Otherwise it is incompatible with templates, and adds memory debugging
// features that Visual C++ has already anyway.
#include <wx/wx.h>

#include "../TortoiseAct/TortoiseAct.h"

#include "WxwMain.h"
IMPLEMENT_APP(MyApp)

bool MyApp::OnInit()
{
	// Peform the action
	TortoiseAct act;
	if( !act.SussArgs( __argc, __argv) )
		return FALSE;
	act.PerformAction();

	return FALSE;
}
