// TortoiseCVS - a Windows shell extension for easy version control

// Copyright (C) 2000 - Francis Irving
// <francis@flourish.org> - May 2000

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef TORTOISE_DEBUG_H
#define TORTOISE_DEBUG_H

#ifdef _MSVC
	// Fancier GUI Visual C++ asserts
	#include <crtdbg.h>
#else
	// Standard C assert
	#include <assert.h>
	#define _ASSERT assert

	// This seems needed by Borland and GCC.
	// Who else?  What standard is it?
	#ifndef ENOMEM
		#define ENOMEM 12
	#endif
#endif

#ifndef ASSERT
	#define ASSERT _ASSERT
#endif

#endif

