/////////////////////////////////////////////////////////////////////////////
// Name:        settings.h
// Purpose:     wxSystemSettings class
// Author:      David Webster
// Modified by:
// Created:     10/15/98
// RCS-ID:      $Id: SETTINGS.H,v 1.2 2001/08/22 15:58:02 frabcus Exp $
// Copyright:   (c) AUTHOR
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef _WX_SETTINGS_H_
#define _WX_SETTINGS_H_

#include "wx/setup.h"
#include "wx/colour.h"
#include "wx/font.h"


class WXDLLEXPORT wxSystemSettings: public wxObject
{
public:
    inline wxSystemSettings() {}
    static wxColour    GetSystemColour(int index);
    static wxFont      GetSystemFont(int index);
    static int         GetSystemMetric(int index);
}; // end of CLASS wxSystemSettings

#endif
    // _WX_SETTINGS_H_
